Skip to navigation

Validate Frontend User Email

Checks if an email address is associated with a BigCommerce customer account and a Company user account.

Equivalent Storefront GraphQL API Query: userEmailCheck. For more information, see the GraphQL Playground.

The isValid value in the response indicates whether or not the email address is used by an existing customer or Company user. The following values are possible:

  • 0 — The email address is associated with a Company user account and a corresponding customer account.
  • 1 — The email address is not associated with a customer account or a Company user account.
  • 2 — The email address is associated with a customer account, but not a Company user account.

Authentication

AuthorizationBearer

Authentication header

HeaderArgumentDescription
AuthorizationBearer {{B2B_JWT_TOKEN}}You can obtain this token using the steps described in the REST Storefront API section[…]

Path parameters

emailstringRequiredformat: "email"
The email address of the user to be validated.

Query parameters

storeHashstringRequired
The unique alphanumeric store hash for the BigCommerce store.
roleenumRequired

The ID of the role assigned to the Company user account as given below.

ValueCode
0Admin
1Senior Buyer
2Junior Buyer
3Super Admin
4Unknown
Allowed values:
companyIdstringOptional
The unique numeric ID of the Company account.

Response

OK
messagestringOptional
codedoubleOptionalDefaults to 200
dataobjectOptional